## The `upc_memget` function

#### Synopsis

        #include <upc.h>
        void upc_memget(void * restrict dst,
                        shared const void * restrict src,
                        size_t n);

#### Description

The `upc_memget` function copies n characters from a shared object with affinity to any single thread to an object on the calling thread.

The `upc_memget` function treats the `src` pointer as if it had type:

        shared [] char[n]

The effect is equivalent to copying the entire contents from one shared array object with this type (the `src` array) to an array object (the `dst` array) declared with the type

        char[n]

Terms, definitions, and symbols

Back to index of all UPC functions